Bug 825388 - Subscribe System dialog does not expand automatically to enclose translated message string
Subscribe System dialog does not expand automatically to enclose translated m...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 7.0
Assigned To: Michael Stead
Entitlement Bugs
: Translation
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2012-05-25 17:07 EDT by John Sefler
Modified: 2014-06-17 20:21 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:41:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
translated message runs off the end of the rendered dialog. (32.13 KB, image/png)
2012-05-25 17:07 EDT, John Sefler
no flags Details
String wrapping issue fixed (228.67 KB, image/png)
2014-02-04 16:00 EST, Sharath Dwaral
no flags Details

  None (edit)
Description John Sefler 2012-05-25 17:07:17 EDT
Created attachment 586952 [details]
translated message runs off the end of the rendered dialog.

Description of problem:

When the translator does not strategically insert new line characters, the dialog will clip the string from rendering in full view.

See attached screenshot.
Does the dialog have a fixed width initial size?  Shouldn't it expand to contain the message labels inside?

Version-Release number of selected component (if applicable):
[root@jsefler-63server ~]# rpm -q subscription-manager
subscription-manager-0.99.19-1.git.0.99a87e8.el6.x86_64


Here's an example from /usr/share/locale/ta_IN/LC_MESSAGES/rhsm.mo where the tranlator did not put in new line characters.  See the attached screenshot for the consequences...

msgid ""
"We have detected that you have multiple service level\n"
"agreements on various products. Please select how you\n"
"want them assigned."
msgstr "பல்வேறு தயாரிப்புகளில் பல் சேவை நிலை உரிமங்களை கண்டறிந்துள்ளோம். அவற்றை எவ்வாறு ஒதுக்க வேண்டும் என தேர்ந்தெடுக்கவும்."


Expected behavior:
1. the translator needs to match the new line characters OR
2. the dialog should auto-expand to contain the rendered text label.
Comment 1 John Sefler 2012-05-25 17:17:20 EDT
The new lines are excluded by several of the translators for this msgid.
Hence this dialog does not render very nicely for many languages.
Comment 3 RHEL Product and Program Management 2012-05-30 01:48:24 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 John Sefler 2012-12-17 12:59:20 EST
[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.1.15-1.el6.x86_64


[root@jsefler-6 ~]# msgunfmt --no-wrap /usr/share/locale/ta_IN/LC_MESSAGES/rhsm.mo | grep -B1 -A1 "We have detected"
msgid ""
"We have detected that you have multiple service levels on various products. Please select how you\n"
"want them assigned."


^^^ IT APPEARS THAT THE FIRST NEWLINE CHARACTER HAS BEEN REMOVED FROM THE msgid.  THIS COMPOUNDS THE PROBLEM IN RHEL6.4.
Comment 5 Michael Stead 2014-01-30 12:37:47 EST
Fixed:
https://github.com/candlepin/subscription-manager/pull/886

Available in:
subscription-manager-1.10.12-1+
Comment 7 Sharath Dwaral 2014-02-04 16:00:35 EST
Created attachment 859362 [details]
String wrapping issue fixed

Version:

# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.2-1
subscription-manager: 1.10.13-1.el7
python-rhsm: 1.10.12-1.el7


Verification:

Please see Attachment

There are 3 examples in different locales. The width if the GUI is adjusted accordingly to the longest string in the locale. This is an intelligent fix and fixes all the wrapping around and string shortening issues.

VERIFIED....
Comment 8 Ludek Smid 2014-06-13 06:41:00 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.